<?php
/* ウィジェットを使うためのおまじない */
if ( function_exists('register_sidebar') )
    register_sidebar();

/* ナビゲーションメニューを使うためのおまじない */
add_theme_support('menus');

/* カスタムヘッダー(Ver3.4以降対応版) */
$c_header_defaults = array(
	'default-text-color'     => '000',
	'default-image'          => '%s/images/default_header.gif',
	'width'                  => 970,
	'height'                 => 200,
);

add_theme_support( 'custom-header', $c_header_defaults );

register_default_headers( array(
	'header01' => array(
		'url' => '%s/images/header01.gif',
		'thumbnail_url' => '%s/images/header01s.gif'
	),
	'header02' => array(
		'url' => '%s/images/header02.gif',
		'thumbnail_url' => '%s/images/header02s.gif'
	),
	'header03' => array(
		'url' => '%s/images/header03.gif',
		'thumbnail_url' => '%s/images/header03s.gif'
	),
	'header04' => array(
		'url' => '%s/images/header04.gif',
		'thumbnail_url' => '%s/images/header04s.gif'
	)
));

/* メインコンテンツ表示域の横幅 */
if ( ! isset( $content_width ) )
    $content_width = 550;

/* 投稿とコメントの RSS フィードリンクを使用可能にする */
add_theme_support('automatic-feed-links');

/* アイキャッチ画像(投稿サムネイル)を使用可能にする */
add_theme_support('post-thumbnails');

/* TinyMCE エディタのcssファイル名を指定 本当はeditor-style.cssとかだがとりあえずの対応 */
add_editor_style('style.css');

/* 背景色と背景画像を管理画面上で設定する機能を使用可能にする(Ver3.4以降対応版) */
add_theme_support( 'custom-background' );
