<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html <?php language_attributes('xhtml'); ?>>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<title><?php bloginfo('name'); ?></title>
<link rel="stylesheet" href="<?php bloginfo('stylesheet_url'); ?>" type="text/css" media="screen" />
<?php if ( is_singular() ) wp_enqueue_script( "comment-reply" ); ?>
<?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>

<div id="c-header" style="background-image:url(<?php header_image(); ?>);">
<br /><br />
<h1><a href="<?php echo home_url(); ?>/">&nbsp;&nbsp;<?php bloginfo('name'); ?></a></h1>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<?php bloginfo('description'); ?><br /><br />
</div><!-- #c-header -->

<!-- ↓ナビゲーションメニュー -->
<div id="navimenu">
	<?php wp_nav_menu( array( 'menu' => 'menu' , 'theme_location' => 'primary' ) ); ?>
</div><!-- #navimenu -->

<div class="float-clear"></div>
